org.hibernate.search.elasticsearch.schema.impl.model

## Enum NormsType

- java.lang.Object
- - java.lang.Enum<NormsType>
  - - org.hibernate.search.elasticsearch.schema.impl.model.NormsType

- All Implemented Interfaces:
    Serializable, Comparable<NormsType>

      public enum NormsType
      extends Enum<NormsType>

  An enum for Elasticsearch "norms" attribute values.

  Values of this type are ignored in ES2, because field data isn't used (and configuration is more complex)

  See https://www.elastic.co/guide/en/elasticsearch/reference/current/norms.html

  Author:
    Yoann Rodiere

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE`
    `TRUE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NormsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NormsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final NormsType TRUE

    - #### FALSE

          public static final NormsType FALSE

  - ### Method Detail

    - #### values

          public static NormsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NormsType c : NormsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NormsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved